The House Rules API is soon to be sunset
Booking.com has deprecated the house rules endpoints (POST /house-rules/properties/{property_id} and GET /house-rules/properties/{property_id}) on December 31, 2024. We will sunset these endpoints on December 31, 2026. For more information on the deprecation and sunsetting timeline, see House Rules in Content API.
The same functionality is available in the new Property Settings API. To learn more, see Managing property settings.
Retrieve the house rules for a property using the method below. House rules are only available for Booking Home property types.
GET https://supply-xml.booking.com/house-rules/properties/{property_id}| Parameter | Description | Type | Required | Notes |
|---|---|---|---|---|
property_id | The property for which you want to retrieve house rules. | integer | Required | - |
| Header | Description | Type | Required | Notes |
|---|---|---|---|---|
Authorization | JWT access token. Example: Bearer {JWT} | string | Required | - |
GET /house-rules/properties/1234567
Host: supply-xml.booking.com
Authorization: Bearer {JWT}
Content-Type: application/json{
"warnings": [],
"meta": {
"ruid": "UmFuZG9etc"
},
"errors": [],
"data": {
"pets_price_type": "charges_may_apply",
"quiet_hours_start_time": null,
"parties_allowed": 1,
"smoking_allowed": 1,
"pets_allowed": "no",
"quiet_hours_end_time": null,
"quiet_hours_set": 0
}
}
{
"errors": [
{
"message": "This property is not eligible for house rules.",
"code": "OPERATION_NOT_ALLOWED",
"details": null
}
],
"data": {},
"warnings": [],
"meta": {
"ruid": "UmFuZG9etc"
}
}
| Header | Description | Type | Notes |
|---|---|---|---|
RUID | Response Unique IDentifier. | string | - |
| Field | Description | Type | Notes |
|---|---|---|---|
data.pets_allowed | Specifies whether pets are allowed. | string | Values: yes, no, on_request |
data.pets_price_type | Specifies whether charges apply for bringing pets (if allowed). | string | Values: free, charges_may_apply |
data.quiet_hours_set | Specifies whether the property has quiet hours (1) or not (0). | int | Values: 0 (no), 1 (yes) |
data.quiet_hours_start_time | Quiet hours start time. | string | Format: HH:00, where HH is 1–23. |
data.quiet_hours_end_time | Quiet hours end time. | string | Format: HH:00, where HH is 1–23. |
data.parties_allowed | Specifies whether guests may have parties at the property (1) or not (0). | int | Values: 0 (no), 1 (yes) |
data.smoking_allowed | Specifies whether smoking in the property is allowed (1) or not (0). | int | Values: 0 (no), 1 (yes) |
errors | Array with errors, if they exist | array |
| Code | Description | Notes |
|---|---|---|
400 | Bad request. | - |
404 | Resource not found. | - |